%define up_ver 1.2

Summary:	NetworkManager VPN integration for OpenVPN
Name:		networkmanager-openvpn
Epoch:		1
Version:	1.2.8
Release:	3
License:	GPLv2+
Group:		System/Base
Url:		http://www.gnome.org/projects/NetworkManager/
Source0:	http://download.gnome.org/sources/NetworkManager-openvpn/%{up_ver}/NetworkManager-openvpn-%{version}.tar.xz
Source1:    NetworkManager-openvpn_ru.tar.gz
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libnma)
BuildRequires:	pkgconfig(libnm-glib)
BuildRequires:	pkgconfig(libnm-glib-vpn)
BuildRequires:	pkgconfig(libnm-gtk)
BuildRequires:	pkgconfig(libnm-util)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libsecret-unstable)
Requires:	gnome-keyring
Requires:	networkmanager
Requires:	openvpn
Requires:	shared-mime-info
Requires(pre,postun):	rpm-helper

%description
This package contains software for integrating the OpenVPN VPN software
with NetworkManager and the GNOME desktop.

%files -f NetworkManager-openvpn.lang
%doc AUTHORS ChangeLog README
%{_libdir}/NetworkManager/libnm-openvpn-properties.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn-editor.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn.so
%{_prefix}/lib/NetworkManager/VPN/nm-openvpn-service.name
%{_libexecdir}/nm-openvpn-auth-dialog
%{_libexecdir}/nm-openvpn-service
%{_libexecdir}/nm-openvpn-service-openvpn-helper
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-openvpn-service.conf
%config(noreplace) %{_sysconfdir}/NetworkManager/VPN/nm-openvpn-service.name
%{_datadir}/appdata/network-manager-openvpn.metainfo.xml
%{_datadir}/gnome-vpn-properties/openvpn/nm-openvpn-dialog.ui

%pre
%_pre_useradd nm-openvpn / /sbin/nologin

%postun
%_postun_userdel nm-openvpn

#----------------------------------------------------------------------------

%prep
%setup -qn NetworkManager-openvpn-%{version}
%apply_patches

pushd po
tar -xvzf %{SOURCE1}
popd

%build
%configure2_5x \
	--disable-static \
	--disable-dependency-tracking \
	--enable-more-warnings
%make

%install
%makeinstall_std

%find_lang NetworkManager-openvpn

%changelog

* Tue May 02 2017 Victor Ryzhikh <victorr2007@yandex.ru> 1:1.2.8-3
- (33ce10a) Updated Russian translation


